import { easing } from "./easings";
declare type Trigger = (_: boolean) => void;
declare type Format<T> = (_: number) => T;
interface EasingProps<T> {
    start?: number;
    end: number;
    duration: number;
    easingFn?: easing;
    autoStart?: boolean;
    formatFn?: Format<T>;
    onCleanUp?: () => void;
    onPauseResume?: () => void;
    onStart?: () => void;
    onEnd?: () => void;
}
interface useEasingResult<T> {
    value: T;
    setTrigger: Trigger;
}
export declare function useEasing<T>({ start, end, duration, autoStart, easingFn, formatFn, onCleanUp, onPauseResume, onStart, onEnd }: EasingProps<T>): useEasingResult<T>;
export default useEasing;
